Skip to main content
GET
Python

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer
default:50

The limit on the number of objects to return, ranging between 1 and 100.

Required range: 1 <= x <= 100
after
string

A cursor to use in pagination. after is an object ID that defines your place in the list. For example, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include after=obj_foo to fetch the next page of the list.

before
string

A cursor to use in pagination. before is an object ID that defines your place in the list. For example, if you make a list request and receive 100 objects, starting with obj_bar, your subsequent call can include before=obj_bar to fetch the previous page of the list.

knowledge_id
string

Filter tables by knowledge id.

Response

List of tables

object
enum<string>
required
Available options:
list
data
object[]
required

An array containing the actual response elements, paginated by any request parameters.

has_more
boolean

Whether or not there are more elements available after this set. If false, this set comprises the end of the list.